Interface SolrEndpointBuilderFactory.SolrBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SolrEndpointBuilderFactory
public static interface SolrEndpointBuilderFactory.SolrBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default SolrEndpointBuilderFactory.SolrEndpointBuildersolr(String path)Solr (camel-solr) Perform operations against Apache Lucene Solr.default SolrEndpointBuilderFactory.SolrEndpointBuildersolr(String componentName, String path)Solr (camel-solr) Perform operations against Apache Lucene Solr.default SolrEndpointBuilderFactory.SolrEndpointBuildersolrCloud(String path)Solr (camel-solr) Perform operations against Apache Lucene Solr.default SolrEndpointBuilderFactory.SolrEndpointBuildersolrs(String path)Solr (Secure) (camel-solr) Perform operations against Apache Lucene Solr.
-
-
-
Method Detail
-
solr
default SolrEndpointBuilderFactory.SolrEndpointBuilder solr(String path)
Solr (camel-solr) Perform operations against Apache Lucene Solr. Category: monitoring,search Since: 2.9 Maven coordinates: org.apache.camel:camel-solr Syntax:solr:urlPath parameter: url (required) Hostname and port for the Solr server(s). Multiple hosts can be specified, separated with a comma. See the solrClient parameter for more information on the SolrClient used to connect to Solr.- Parameters:
path- url- Returns:
- the dsl builder
-
solr
default SolrEndpointBuilderFactory.SolrEndpointBuilder solr(String componentName, String path)
Solr (camel-solr) Perform operations against Apache Lucene Solr. Category: monitoring,search Since: 2.9 Maven coordinates: org.apache.camel:camel-solr Syntax:solr:urlPath parameter: url (required) Hostname and port for the Solr server(s). Multiple hosts can be specified, separated with a comma. See the solrClient parameter for more information on the SolrClient used to connect to Solr.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- url- Returns:
- the dsl builder
-
solrCloud
default SolrEndpointBuilderFactory.SolrEndpointBuilder solrCloud(String path)
Solr (camel-solr) Perform operations against Apache Lucene Solr. Category: monitoring,search Since: 2.9 Maven coordinates: org.apache.camel:camel-solr Syntax:solrCloud:urlPath parameter: url (required) Hostname and port for the Solr server(s). Multiple hosts can be specified, separated with a comma. See the solrClient parameter for more information on the SolrClient used to connect to Solr.- Parameters:
path- url- Returns:
- the dsl builder
-
solrs
default SolrEndpointBuilderFactory.SolrEndpointBuilder solrs(String path)
Solr (Secure) (camel-solr) Perform operations against Apache Lucene Solr. Category: monitoring,search Since: 2.9 Maven coordinates: org.apache.camel:camel-solr Syntax:solrs:urlPath parameter: url (required) Hostname and port for the Solr server(s). Multiple hosts can be specified, separated with a comma. See the solrClient parameter for more information on the SolrClient used to connect to Solr.- Parameters:
path- url- Returns:
- the dsl builder
-
-